Bug 1118972 - [abrt] pitivi: gst_audio_buffer_clip(): python2.7 killed by SIGSEGV
Summary: [abrt] pitivi: gst_audio_buffer_clip(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pitivi
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fedb40cc3c511ae7958f294d3d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 14:47 UTC by alan.henry.williams
Modified: 2015-06-29 21:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:05 UTC


Attachments (Terms of Use)
File: backtrace (254.45 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: core_backtrace (169.30 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: dso_list (23.41 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: environ (2.00 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: maps (129.38 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: open_fds (3.85 KB, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: proc_pid_status (966 bytes, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details
File: var_log_messages (672 bytes, text/plain)
2014-07-12 14:47 UTC, alan.henry.williams
no flags Details

Description alan.henry.williams 2014-07-12 14:47:35 UTC
Description of problem:
Added second film clip (.dv) to pitivi and moved it close to or possibly over the end of first clip. pitivi fell over.

Version-Release number of selected component:
pitivi-0.93-4.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        python2 /usr/bin/pitivi
crash_function: gst_audio_buffer_clip
executable:     /usr/bin/python2.7
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gst_audio_buffer_clip at audio.c:205
 #1 gst_adder_do_clip at gstadder.c:1111
 #2 gst_collect_pads_chain at gstcollectpads.c:1987
 #3 gst_pad_chain_data_unchecked at gstpad.c:3760
 #4 gst_pad_push_data at gstpad.c:3990
 #5 gst_pad_push at gstpad.c:4093
 #6 gst_proxy_pad_chain_default at gstghostpad.c:128
 #7 gst_pad_chain_data_unchecked at gstpad.c:3760
 #8 gst_pad_push_data at gstpad.c:3990
 #9 gst_pad_push at gstpad.c:4093

Comment 1 alan.henry.williams 2014-07-12 14:47:42 UTC
Created attachment 917517 [details]
File: backtrace

Comment 2 alan.henry.williams 2014-07-12 14:47:43 UTC
Created attachment 917518 [details]
File: cgroup

Comment 3 alan.henry.williams 2014-07-12 14:47:46 UTC
Created attachment 917519 [details]
File: core_backtrace

Comment 4 alan.henry.williams 2014-07-12 14:47:47 UTC
Created attachment 917520 [details]
File: dso_list

Comment 5 alan.henry.williams 2014-07-12 14:47:48 UTC
Created attachment 917521 [details]
File: environ

Comment 6 alan.henry.williams 2014-07-12 14:47:50 UTC
Created attachment 917522 [details]
File: exploitable

Comment 7 alan.henry.williams 2014-07-12 14:47:51 UTC
Created attachment 917523 [details]
File: limits

Comment 8 alan.henry.williams 2014-07-12 14:47:53 UTC
Created attachment 917524 [details]
File: maps

Comment 9 alan.henry.williams 2014-07-12 14:47:55 UTC
Created attachment 917525 [details]
File: open_fds

Comment 10 alan.henry.williams 2014-07-12 14:47:56 UTC
Created attachment 917526 [details]
File: proc_pid_status

Comment 11 alan.henry.williams 2014-07-12 14:47:57 UTC
Created attachment 917527 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:21:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:34:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.